<?php
$page_title = "Display FB Page Timeline Feed on Website - BASIC - Live Demo";
?>
<!DOCTYPE html>
<html lang="en">
<head>
 
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
    <title><?php echo $page_title; ?></title>
 
    <link rel="stylesheet" href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css">
	
	<style>
	.profile-info{
		overflow:hidden;
	}
	
	.profile-photo{
		float:left;
		margin:0 .5em 0 0;
	}
	
	.profile-photo img{
		width:40px; height:40px;
	}
	
	.profile-name{
		float:left;
		width:85%;
	}
	
	.time-ago{
		color:#999;
	}
	
	.profile-message{
		margin:1em 0;
	}
	
	.post-link{
		text-decoration:none;
	}
	
	.post-content{
		background: #f6f7f9; border: 1px solid #d3dae8; overflow:hidden;
	}
	
	.post-content img{
		width:100%;
	}
	
	.post-status{
		margin:.5em; font-weight:bold;
	}
	
	.post-picture{
		width:25%; float:left;
	}
	
	.post-info{
		width:70%; float:left; margin:.5em;
	}
	
	.post-info-name{
		font-weight:bold;
	}
	
	.post-info-description{
		color:#999;
	}
	
	.like-icon {
		background-image: url('https://fbstatic-a.akamaihd.net/rsrc.php/v2/yu/r/0YmG6yMM_th.png');
		background-repeat: no-repeat;
		background-size: auto;
		background-position: 0 -109px;
		height: 13px;
		width: 15px;
		display:block;
		float:left;
		margin: 2px 5px 0 0;
	}
	
	.comment-icon {
		background-image: url('https://fbstatic-a.akamaihd.net/rsrc.php/v2/yu/r/0YmG6yMM_th.png');
		background-repeat: no-repeat;
		background-size: auto;
		background-position: 0 -59px;
		height: 13px;
		width: 15px;
		display:block;
		float:left;
		margin: 3px 5px 0 0;
		
	}
	</style>
	
</head>
<body>
     
<div class="container">
	<div class='col-lg-12'>
	
	<?php
	$fb_page_id = "107786425949934";
	
	echo "<h1 class='page-header'>{$page_title}</h1>";
	
	echo "<div class='alert alert-danger'>";
		echo "If you believe you are seeing an error, or you have any feature suggestion, please let us know via an email, or chat me up on our official <a href='https://www.facebook.com/CodeOfANinja' target='_blank'>Facebook page</a>. Thanks!";
	echo "</div>";
	
	echo "<div class='alert alert-success'>";
		echo "This <strong>script and demo</strong> are always updated and maintained by Mike Dalisay of <a href='http://www.codeofaninja.com/2011/06/display-facebook-photos-to-your-website.html'>codeofaninja.com</a>.";
	echo "</div>";
	
	$profile_photo_src = "https://graph.facebook.com/{$fb_page_id}/picture?type=square";
	$access_token = "128623690525794|LbfgDAXN_KioIspqkMegG1-ysHA";
	$fields = "id,message,picture,link,name,description,type,icon,created_time,from,object_id,likes,comments";
	$limit = 10;
	
	$json_link = "https://graph.facebook.com/{$fb_page_id}/feed?access_token={$access_token}&fields={$fields}&limit={$limit}";
	$json = file_get_contents($json_link);
	
	$obj = json_decode($json, true);
	$feed_item_count = count($obj['data']);
	
	// loop thourgh each post
	for($x=0; $x<$feed_item_count; $x++){

		echo "<div class='item_box'>";
		
			// to get the post id
			$id = $obj['data'][$x]['id'];
			$post_id_arr = explode('_', $id);
			$post_id = $post_id_arr[1];
			
			// user's custom message
			$message = htmlspecialchars_decode(str_replace("\n", "<br>", auto_link_text($obj['data'][$x]['message'])));
			
			// picture from the link
			$picture = $obj['data'][$x]['picture'];
			$picture_url_arr = explode('&url=', $picture);
			$picture_url = urldecode($picture_url_arr[1]);
			
			// link posted
			$link = $obj['data'][$x]['link'];
			
			// name or title of the link posted
			$name = $obj['data'][$x]['name'];
			
			$description = $obj['data'][$x]['description'];
			$type = $obj['data'][$x]['type'];
			
			// when it was posted
			$created_time = $obj['data'][$x]['created_time'];
			$converted_date_time = date( 'Y-m-d H:i:s', strtotime($created_time));
			$ago_value = time_elapsed_string($converted_date_time);
			
			// from
			$page_name = $obj['data'][$x]['from']['name'];
			
			// useful for photo
			$object_id = $obj['data'][$x]['object_id'];
			
			echo "<div class='row'>";
			
				// left side
				echo "<div class='col-md-4'>";
					echo "<div class='profile-info'>";
					
						echo "<div class='profile-photo'>";
							echo "<img src='{$profile_photo_src}' />";
						echo "</div>"; // end 'profile-photo'
						
						echo "<div class='profile-name'>";
							echo "<div>";
								echo "<a href='https://fb.com/{$fb_page_id}' target='_blank'>{$page_name}</a> ";
								echo "shared a ";
								if($type=="status"){ 
									$link="https://www.facebook.com/{$fb_page_id}/posts/{$post_id}"; 
								}
								echo "<a href='{$link}' target='_blank'>{$type}</a>";
							echo "</div>";
							echo "<div class='time-ago'>{$ago_value}</div>";
						echo "</div>"; // end 'profile-name'
						
					echo "</div>"; // end 'profile-info'
					
					echo "<div class='profile-message'>{$message}</div>";
				echo "</div>"; // end left side 'col-md-4'
				
				// right side
				echo "<div class='col-md-8'>";
				
					echo "<a href='{$link}' target='_blank' class='post-link'>";
						
						echo "<div class='post-content'>";
						
							if($type=="status"){
								echo "<div class='post-status'>";
									echo "View on Facebook";
								echo "</div>";
							}
							
							else if($type=="photo"){
								echo "<img src='https://graph.facebook.com/{$object_id}/picture' />";
							}
							
							else{
								if($picture_url){
									echo "<div class='post-picture'>";
										echo "<img src='{$picture_url}' />";
									echo "</div>";
								}
								
								echo "<div class='post-info'>";
									echo "<div class='post-info-name'>{$name}</div>";
									echo "<div class='post-info-description'>{$description}</div>";
								echo "</div>";
							}
						
						echo "</div>"; // end 'post-content'
					echo "</a>"; // end 'post-link'
					
					// likes count
					$likes_count = count($obj['data'][$x]['likes']['data']);
					
					// comments count
					$comments_count = count($obj['data'][$x]['comments']['data']);
					
					echo "<div class='like-count-sum post-content' style='padding:.3em; margin:1em 0; cursor:pointer;'>";
						echo "<div style='float:left; margin:0 .6em 0 0;'>";
							if($likes_count>=25){
								echo "<span class='like-icon'></span> $likes_count+ ";
							}else{
								echo "<span class='like-icon'></span> $likes_count ";
							}
						echo "</div>";
						
						echo "<div style='float:left;'>";
							if($comments_count>=25){
								echo "<span class='comment-icon'></span> $comments_count+ ";
							}else{
								echo "<span class='comment-icon'></span> $comments_count ";
							}
						echo "</div>";
					echo "</div>"; // end 'like-count-sum'
					
					
					echo "<div class='like-count-data' style='display:none;'>";
					
						// show likers, show only 2 likers
						if($likes_count>0){
								$liker_num=1;
								foreach($obj['data'][$x]['likes']['data'] as $liker){
									
									$liker_id=$liker['id'];
									$liker_name=$liker['name'];
									
									if($liker_num==1){
										echo "<a href='https://facebook.com/{$liker_id}/' target='_blank'>{$liker_name}</a>";
									}
									
									else if($liker_num==2){
										if($likes_count==2){
											echo " and ";
										}else{
											echo ", ";
										}
										echo "<a href='https://facebook.com/{$liker_id}/' target='_blank'>{$liker_name}</a>";
									}
									$liker_num++;
								}
								
								if($likes_count>2){
									if($likes_count>=25){
										echo " and " . ($likes_count-2) . "+ others like this.";
									}else{
										echo " and " . ($likes_count-2) . " others like this.";
									}
								}else{
									echo " like this.";
								}
						}
						
						// show comments
						if($comments_count>0){
							foreach($obj['data'][$x]['comments']['data'] as $comment){
							
								$commenter_id = $comment['from']['id'];
								$commenter_name = $comment['from']['name'];
								$comment_like_count = $comment['like_count'];
								$message = htmlspecialchars_decode(str_replace("\n", "<br>", $comment['message']));
								
								echo "<div style='margin:.5em 0; width:100%; overflow:hidden;'>";
									echo "<div style='float:left; width:42px; height:42px; border:1px solid #999; margin:5px .5em 0 0;'>";
										echo "<img src='https://graph.facebook.com/{$commenter_id}/picture?type=square' style='width:40px; height:40px;' />";
									echo "</div>";
									echo "<div style='float:left; width:80%;'>";
										echo "<a href='https://facebook.com/{$commenter_id}/' target='_blank'>{$commenter_name}</a> {$message}";
									echo "</div>";
								echo "</div>"; // end
							}
						}
					echo "</div>"; // end 'like-count-data'
					
				echo "</div>"; // end right side 'col-md-8'
				
			echo "</div>"; // end 'row'
			
			echo "<hr />";
		echo "</div>"; // end 'item_box'
	}

	// to get 'time ago' text
	function time_elapsed_string($datetime, $full = false) {

		$now = new DateTime;
		$ago = new DateTime($datetime);
		$diff = $now->diff($ago);

		$diff->w = floor($diff->d / 7);
		$diff->d -= $diff->w * 7;

		$string = array(
			'y' => 'year',
			'm' => 'month',
			'w' => 'week',
			'd' => 'day',
			'h' => 'hour',
			'i' => 'minute',
			's' => 'second',
		);
		foreach ($string as $k => &$v) {
			if ($diff->$k) {
				$v = $diff->$k . ' ' . $v . ($diff->$k > 1 ? 's' : '');
			} else {
				unset($string[$k]);
			}
		}

		if (!$full) $string = array_slice($string, 0, 1);
		return $string ? implode(', ', $string) . ' ago' : 'just now';
	}

	function auto_link_text($string){
		$string= preg_replace("#http://([\S]+?)#Uis", '<a href="http://\\1" target="_blank" rel="nofollow">\\1</a>', $string);
		return $string;
	}
	?>
	
	</div> <!-- /col-lg-12 -->
</div> <!-- /container -->
 
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<script src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>
 
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->

<script>
$(document).ready(function(){
	
	$(document).on('click', '.like-count-sum', function(){
		$(this).closest('.row').find('.like-count-data').slideToggle();
	});
});
</script>
</body>
</html>